Subject: Re: [nemo] RIPng with NEMO again..

From: "T.J.Kniveton" <[email-masked]>
Date: Thu, 1 Jul 2004 06:03:54 -0700

On Jun 30, 2004, at 9:05 PM, jhon saint wrote:

> Thank you for your answers!~~   ^^/
>
>
>> From: Vijay Devarapalli <[email-masked]>
>> To: jhon saint <[email-masked]>
>> Subject: Re: [nemo] RIPng with NEMO again..
>> Date: Tue, 29 Jun 2004 11:53:14 -0700
>>
>> hi,
>>
>> are you happy with TJ's response?
>>
>> Vijay
>>
>> T.J.Kniveton wrote:
>
>>> Options:
>>> I'll present a few possible ways to handle this.
>>>
>>> 1. MR-raised metric
>>> Under this scenario, the MR could advertise an artificially high 
>>> metric, so that when it leaves the link, the HA's normal metric will 
>>> capture the entry. For instance, the MR could advertise metric 2, or 
>>> metric 5, for the MNP. When it leaves, the HA will receive a BU from 
>>> the MR and send a triggered update with its own address as next hop, 
>>> and metric 1 (received as 2).
>
> What about returning home??
> If MR returns home, MR will advertise high metric RIPng message..
> then, I think no routers can update their routing table.. becase the 
> metric is
> higher than HA's advertisement...

Good point; the description I gave wasn't fully detailed. When the HA 
gets the deregistration, it would have to change its metric back to 
using the MR, which means it would use the MR's metric, plus one. Once 
it advertises this, the other routers will update to that value; then, 
they will see the MR's value which is 1 lower, and use that.

TJ